Support » Plugin: Elementor Website Builder » Console error

  • Resolved marcello.brunaldi

    (@gamma42)


    HELLO,

    after the last update I display a console message error like this:
    Uncaught ReferenceError: wp is not defined
    and this one:
    Uncaught TypeError: Cannot read property 'setLocaleData' of undefined

    Thank you for your help

    The page I need help with: [log in to see the link]

Viewing 11 replies - 1 through 11 (of 11 total)
  • dvazquez260376

    (@dvazquez260376)

    Same error here: wp is not defined

    clairedelacroix

    (@clairedelacroix)

    Same here. Error appears from last update.
    Seems related to new HTTP request: /wp-includes/js/dist/i18n.min.js

    clairedelacroix

    (@clairedelacroix)

    That error in the console in my case was due to deferring JavaScript via Perfmatters plugin.

    drazon

    (@drazon)

    Same here why does elementor need the script id=’elementor-common-js-translations’ in non multilingual websites anyway? Is there any filter to remove the whole inline script?

    • This reply was modified 1 month ago by drazon.
    dvazquez260376

    (@dvazquez260376)

    Yes, would be great to have an explanation on why they add these new scripts and how to remove them.

    Plugin Support saidaboukhadra

    (@saidaboukhadra)

    Hello,

    Thank you for contacting us and the information provided. We apologize for the inconvenience.

    Since you are using our Pro features on your website, you’ll need to open a support ticket at my.elementor.com.
    WordPress.org rules state that commercial products are not supported here.
    Kind regards,
    Said

    Thread Starter marcello.brunaldi

    (@gamma42)

    Sorry but I am not using the Pro features.
    In this case what I am supposed to do?

    Plugin Support saidaboukhadra

    (@saidaboukhadra)

    Hello Marcello,

    Thank you for replying.

    From our experience, it could be related to some plugin conflict.
    Can you please back up your website first, then go ahead and disable all the plugins except Elementor, and afterwards start and enable the plugins one by one till you are seeing the error again, then isolate the problematic plugin.

    Regards,
    Said

    Plugin Support shilo-ey

    (@shiloey)

    This issue has been resolved in Elementor v3.1.1

    Feel free to update

    Thanks!

    Actually, I still have the same issue with the V3.1.1.

    Any more help?

    Thx a lot

    Same issue here on 3.1.1

Viewing 11 replies - 1 through 11 (of 11 total)
  • You must be logged in to reply to this topic.